<template>
  <view class="content">
    <view class="p"
      >联系人：<text :user-select="true">{{ name }}</text></view
    >
    <view class="p"
      >邮箱：<text :user-select="true">{{ email }}</text></view
    >
    <view class="p"
      >电话：<text :user-select="true">{{ phone }}</text></view
    >
  </view>
</template>

<script>
import { getContact } from "@/lib/api/other";

export default {
  name: "HelpContact",
  data() {
    return {
      phone: "",
      name: "",
      email: "",
    };
  },
  onLoad() {
    this.getContact();
  },
  methods: {
    async getContact() {
      const res = await getContact();
      this.phone = res.data.phone;
      this.name = res.data.name;
      this.email = res.data.email;
    },
  },
};
</script>

<style>
.content {
  padding: 100rpx 40rpx 40rpx;
}
.p {
  color: #666;
  font-size: 28rpx;
  line-height: 42rpx;
  margin: 16rpx 0;
}
</style>
